Zum Inhalt springen

MiniMax (Hailuo AI) Text to Image

Integrieren

Modell-ID minimax/image-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/image-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,01 $ 10 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
MiniMax Text zu Bild #stylized#realism

MiniMax-Text-zu-Bild mit acht Seitenverhältnissen, bis zu neun Bildern pro Anfrage und optionalem Prompt-Optimierer

MiniMax · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich 88 / 1500

Text des Prompts für die Bild-Generierung, auf 1500 Zeichen begrenzt.

aspect_ratio Standard 1:1

Verhältnis von Breite zu Höhe des Ausgabebildes.

num_images Standard 1

Anzahl der Bildgenerierungen von 1 bis 9.

Erweitert enable_safety_checker · prompt_optimizer
POST /run/minimax/image-01?wait=20 Preis → 0,01 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/image-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über MiniMax (Hailuo AI) Text to Image

Generiert Bilder aus einem `prompt` mit bis zu 1500 Zeichen. `aspect_ratio` unterstützt 1:1, 16:9, 4:3, 3:2, 2:3, 3:4, 9:16 und 21:9. `num_images` gibt 1 bis 9 Bilder pro Aufruf zurück. `prompt_optimizer` kann den Prompt automatisch umschreiben und ist standardmäßig deaktiviert.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
enable_safety_checkeroptional
Typboolean
Standardtrue
Die Prüfung kann durch Setzen auf false gelockert werden, sofern der Aufrufer dazu berechtigt ist.
prompterforderlich
Typstring
≤ 1.500 Zeichen
Text des Prompts für die Bild-Generierung, auf 1500 Zeichen begrenzt.
aspect_ratiooptional
Typenum
Standard1:1
1:116:94:33:22:33:49:1621:9
Verhältnis von Breite zu Höhe des Ausgabebildes.
num_imagesoptional num_outputs
Typinteger
Standard1
1 – 9
Anzahl der Bildgenerierungen von 1 bis 9.
prompt_optimizeroptional
Typboolean
Standardfalse
Aktivierung der automatischen Prompt-Optimierung.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/image-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size}Vom Modell erzeugte Bilder.

Weitere Modelle: Text zu Bild

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/minimax/image-01.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt